Rensei docs

Register an org-defined work type (org admin).

Register an org-defined work type (org admin). - Rensei REST API operation reference.

POST
/api/org/{orgId}/work-types

Authorization

headerAuthorizationBearer <rsk_live_*>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

Path Parameters

orgId*string

Organization id (must match the authenticated org).

Request Body

application/json
  1. body
name*string

Lowercase kebab-case, at most 64 characters, unique in the org.

role*string
Value in"intake""inflight""review""terminal"
description?|
Lengthlength <= 2000
defaultModelProfileId?|

A model profile visible to the org (system or org scope).

Length1 <= length

Response Body

Work type registered.

application/json
  1. response
workType*
Example Request
curl -X POST 'https://app.rensei.ai/api/org/string/work-types' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "role": "intake"}'
Example Response
{  "workType": {    "name": "string",    "role": "intake",    "builtin": true,    "description": "string",    "defaultModelProfileId": "string"  }}